%define	name	cel
%define	version	0.96r002
%define	cvsdate	20040103
%define	release	0.cvs%{cvsdate}.2mdk

Summary:	Crystal Entity Layer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source0:	%{name}-%{cvsdate}.tar.bz2
Patch0:		%{name}-20040103-dynmov-compilefix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.sourceforge.net/projects/cel/
BuildRequires:	boost-jam crystalspace-devel python-devel

%description
Crystal Entity Layer (CEL) is a game entity layer based on Crystal Space.
It makes it easier for game developers to create games based on Crystal Space.
CEL can optionally be used together with Python or other scripting languages.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name} = %{version}

%description	devel
Development headers and libraries for %{name}

%prep
%setup -q -n %{name}
%patch0 -p1 -b .peroyvind

%build
./autogen.sh
%configure	--includedir="%{_includedir}/%{name}"
jam -d2 %_smp_mflags

%install
%{__rm} -rf $RPM_BUILD_ROOT
jam -d2 -s	INSTALLDIR.PREFIX="$RPM_BUILD_ROOT%{_prefix}" \
	-s	INSTALLDIR.EXEC_PREFIX="$RPM_BUILD_ROOT%{_prefix}" \
	-s	INSTALLDIR.APPLICATION="$RPM_BUILD_ROOT%{_bindir}" \
	-s	INSTALLDIR.SBIN="$RPM_BUILD_ROOT%{_sbindir}" \
	-s	INSTALLDIR.LIBEXEC="$RPM_BUILD_ROOT%{_libdir}" \
	-s	INSTALLDIR.DATA="$RPM_BUILD_ROOT%{_datadir}" \
	-s	INSTALLDIR.MAP="$RPM_BUILD_ROOT%{_datadir}/maps" \
	-s	INSTALLDIR.CONFIG="$RPM_BUILD_ROOT%{_sysconfdir}" \
	-s	INSTALLDIR.SHAREDSTATE="$RPM_BUILD_ROOT%{_prefix}/com" \
	-s	INSTALLDIR.LOCALSTATE="$RPM_BUILD_ROOT%{_localstatedir}" \
	-s	INSTALLDIR.PLUGIN="$RPM_BUILD_ROOT%{_libdir}/%{name}" \
	-s	INSTALLDIR.DOC="$RPM_BUILD_ROOT%{_datadir}/doc/%{name}" \
	-s	INSTALLDIR.LIBRARY="$RPM_BUILD_ROOT%{_libdir}" \
	-s	INSTALLDIR.INCLUDE="$RPM_BUILD_ROOT%{_includedir}/%{name}" \
	-s	INSTALLDIR.OLDINCLUDE="$RPM_BUILD_ROOT%{_includedir}" \
	-s	INSTALLDIR.INFO="$RPM_BUILD_ROOT%{_datadir}/info" \
	-s	INSTALLDIR.MAN="$RPM_BUILD_ROOT%{_mandir}" \
		install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README todo.txt docs/history.txt
%{_bindir}/%{name}.cex
%defattr(755,root,root,755)
%{_bindir}/%{name}tst
%{_bindir}/bootstrap
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.csplugin

%files devel
%defattr(755,root,root,755)
%{_bindir}/%{name}-config
%defattr(644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.a

%changelog
* Thu Jan 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.96r002-0.cvs20040103.2mdk
- fix compile of dynmove plugin (P0)

* Sat Jan 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.96r002-0.cvs20040103.1mdk
- new cvs snapshot
- fix buildrequires (lib64..)
- fix second %%install error
- use %%configure macro
- skip compilation of dynmove plugin, it won't compile:\
- fix install variables

* Thu May 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.96r002-0.cvs20030508.2mdk
- fix path in cel-config script
- reduce verbosity while building

* Thu May 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.96r002-0.cvs20030508.1mdk
- initial mdk release
